<template>
  <div class="user-selector-actions">
    <div>
      <label>{{ label }}</label>
      <select :value="value" @change="setValue($event.target.value)">
        <option v-for="user in users" :key="user.id" :value="user.id">
          {{ user.name }}
        </option>
      </select>
    </div>
    <icon-btn
      :disabled="!value"
      @click="setValue(null)"
      color="#585858"
      class="clear-btn"
    >
      <path
        d="M 4.7070312 3.2929688 L 3.2929688 4.7070312 L 10.585938 12 L 3.2929688 19.292969 L 4.7070312 20.707031 L 12 13.414062 L 19.292969 20.707031 L 20.707031 19.292969 L 13.414062 12 L 20.707031 4.7070312 L 19.292969 3.2929688 L 12 10.585938 L 4.7070312 3.2929688 z"
      ></path
    ></icon-btn>
  </div>
</template>

<script>
import { mapState } from "vuex";
import IconBtn from "./IconBtn";

export default {
  name: "UserSelector",
  components: { IconBtn },
  props: {
    label: { type: String },
    value: { type: String },
  },
  computed: {
    ...mapState(["users"]),
  },
  methods: {
    setValue(value) {
      this.$emit("update:value", value);
    },
  },
};
</script>

<style scoped>
.user-selector-actions {
  display: grid;
  grid-template-columns: 1fr auto;
  column-gap: 0.5rem;
  align-items: flex-end;
}
</style>
